<script setup>
import Header from '@/Components/Header.vue';
import { Head, Link } from '@inertiajs/vue3';
</script>

<template>
    <Head title="Комплектующие" />
    <Header />
    <main class="main">
        <div class="container">
            <div class="page__title">
                Материалы
            </div>
            <div class="index__row">
                <div class="index__header index__item">
                    <div class="index__field">
                        ID
                    </div>
                    <div class="index__field">
                        Материал
                    </div>
                    <div class="index__field">
                        Короткое название
                    </div>
                    <div class="index__actions">
                        Действия
                    </div>
                </div>
                <template v-for="item in $page['props']['materials']">
                    <Link :href='"/materials/" + item.id' class="index__item">
                    <div class="index__field">
                        {{ item.id }}
                    </div>
                    <div class="index__field">
                        {{ item.name }}
                    </div>
                    <div class="index__field">
                        {{ item.short_name }}
                    </div>
                    <div class="index__actions">
                        <div class="index__button">
                            Изменить
                        </div>
                    </div>

                    </Link>
                </template>
            </div>
            <Link :href='"/materials/add"' class="page__button">Добавить новый материал</Link>
        </div>
    </main>
</template>
